Package org.jfree.layouting.modules.output.html

## Class StyleBuilder

- java.lang.Object
- - org.jfree.layouting.modules.output.html.StyleBuilder

-     public class StyleBuilder
      extends java.lang.Object

  Creation-Date: 26.11.2006, 12:46:22
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StyleBuilder​(boolean compact)` |
    `StyleBuilder​(boolean compact, StyleBuilder parent)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `append​(java.lang.String key, boolean inheritable, java.lang.String value)` |
    `void` | `append​(StyleKey key, java.lang.String text)` |
    `void` | `append​(StyleKey key, java.lang.String value, java.lang.String unit)` |
    `void` | `append​(StyleKey key, CSSValue value)` |
    `boolean` | `isEmpty​()` |
    `static void` | `main​(java.lang.String[] args)` |
    `boolean` | `parentContains​(java.lang.String key, java.lang.String value)` |
    `java.lang.String` | `toString​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StyleBuilder

          public StyleBuilder​(boolean compact,
                              StyleBuilder parent)

    - #### StyleBuilder

          public StyleBuilder​(boolean compact)

  - ### Method Detail

    - #### append

          public void append​(StyleKey key,
                             CSSValue value)

    - #### append

          public void append​(java.lang.String key,
                             boolean inheritable,
                             java.lang.String value)

    - #### append

          public void append​(StyleKey key,
                             java.lang.String value,
                             java.lang.String unit)

    - #### append

          public void append​(StyleKey key,
                             java.lang.String text)

    - #### parentContains

          public boolean parentContains​(java.lang.String key,
                                        java.lang.String value)

    - #### toString

          public java.lang.String toString​()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### main

          public static void main​(java.lang.String[] args)

    - #### isEmpty

          public boolean isEmpty​()